| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IAccelerator Class Referenceabstract

General interface for an accelerator-based algorithm scheduler. More...

`#include <GaudiKernel/IAccelerator.h>`

Inheritance diagram for IAccelerator:
[legend]
Collaboration diagram for IAccelerator:
[legend]

## Public Member Functions
| DeclareInterfaceID (IAccelerator, 1, 0)
| InterfaceID. More...
virtual StatusCode | push (IAlgTask &task)=0
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

General interface for an accelerator-based algorithm scheduler.

Author
  Illya Shapoval

Version
  1.0

Definition at line 18 of file IAccelerator.h.

## Member Function Documentation

IAccelerator::DeclareInterfaceID | ( | IAccelerator | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IAccelerator::push | ( | IAlgTask & | task | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAccelerator.h